View Issue Details

IDProjectCategoryView StatusLast Update
0000593luatexluatex bugpublic2011-04-12 11:06
ReporterphiAssigned ToTaco 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version0.65.0 
Target VersionFixed in Version0.66.0 
Summary0000593: \escapechar ignored by \meaning
DescriptionLuaTeX ignores \escapechar=-1 when producing the meaning of a primitive; the other engines don't. This confuses code that e.g. test for \meaning\x=x with \escapechar=-1 to test whether \x is a primitive with the correct meaning.
Steps To ReproduceRun the following document through any engine with the plain format:

\escapechar=-1
\edef\x{\meaning\relax}
\message{\x}
\bye

TeX, pdfTeX and XeTeX produce "relax", but LuaTeX produces "\relax".
TagsNo tags attached.

Activities

Taco

2011-04-11 15:40

administrator   ~0000789

revision 4130

Taco

2011-04-12 11:06

administrator   ~0000802

all fixed in 0.66.0

Issue History

Date Modified Username Field Change
2011-03-09 01:28 phi New Issue
2011-04-11 15:33 Taco Status new => assigned
2011-04-11 15:33 Taco Assigned To => Taco
2011-04-11 15:40 Taco Note Added: 0000789
2011-04-11 15:40 Taco Status assigned => resolved
2011-04-11 15:40 Taco Resolution open => fixed
2011-04-12 11:02 Taco Fixed in Version => 0.66.0
2011-04-12 11:06 Taco Note Added: 0000802
2011-04-12 11:06 Taco Status resolved => closed